package com.house365.xxx.house.word.search.job;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;

import com.house365.xxx.house.word.search.sell.BlockLoader;
import com.house365.xxx.house.word.search.sell.SchoolLoader;
import com.house365.xxx.house.word.search.sell.TrafficLoader;
import com.house365.xxx.house.word.search.servlet.InitServlet;

public class RefreshLoaderJob {
	private static Log logger = LogFactory.getLog(RefreshLoaderJob.class);

	public void work() {
		logger.info("RefreshSearcherJob...");
		ApplicationContext applicationContext = InitServlet
				.getApplicationContext();
		BlockLoader blockLoader = applicationContext.getBean(BlockLoader.class);
		blockLoader.loadWordBeans();
		SchoolLoader schoolLoader = applicationContext
				.getBean(SchoolLoader.class);
		schoolLoader.loadWordBeans();
		TrafficLoader trafficLoader = applicationContext
				.getBean(TrafficLoader.class);
		trafficLoader.loadWordBeans();
	}
}
