package com.house365.xxx.house.word.search.dto;



public class WordRatio implements Comparable<WordRatio> {
	private WordBean wordBean;
	private float ratio;

	public WordRatio(WordBean wordBean, float ratio) {
		super();
		this.wordBean = wordBean;
		this.ratio = ratio;
	}

	public WordBean getWordBean() {
		return wordBean;
	}

	public void setWordBean(WordBean wordBean) {
		this.wordBean = wordBean;
	}

	public float getRatio() {
		return ratio;
	}

	public void setRatio(float ratio) {
		this.ratio = ratio;
	}

	@Override
	public int compareTo(WordRatio wordRatio) {
		if (this.ratio == wordRatio.getRatio()) {
			return 0;
		}
		return this.ratio > wordRatio.getRatio() ? -1 : 1;
	}
}
